{% extends "users/userspace.html" %}

{% block content %}
    <div class="container my-5">
        <form method="post">
            {% csrf_token %}
    <div class="row"> 
        <div class="col">
            <h1>Paramètres</h1>
        </div>
        <div class="col text-end">
            <button type="submit" class="btn btn-primary mt-3">Enregistrer</button>
        </div>
    </div>

    {% if success %}
    <div class="alert alert-success" role="alert">
        <i class="mx-1 fas fa-check-circle"></i>Paramètres enregistrés avec succès.
    </div>
    {% endif %}

    {% if form.errors %}
    <div class="alert alert-danger" role="alert">
        <p class="alert-heading"><i class="mx-1 fas fa-exclamation-circle"></i>Erreurs :</p>
        {% for fieldname, errors in form.errors.items %}
            {% if fieldname != "__all__" %}
                {{ fieldname }} :
            {% endif %}
            <ul class="mb-0">
                {% for error in errors %}
                    <li>{{ error }}</li>
                {% endfor %}
            </ul>
        {% endfor %}
    </div>
    {% endif %}

    
        
        <div class="row mt-3">
            <h3><i class="fas fa-hand-holding-usd me-3"></i>Adhésion</h3>
            <hr>
            <div class="col-md-6">
                {{ form.tarif_adhesion.label_tag }}
                <div class="input-group mb-3">
                    {{ form.tarif_adhesion }}
                    <span class="input-group-text">€</span>
                </div>
            </div>
        </div>

        <div class="row mt-3">
            <h3><i class="fas fa-box-open me-3"></i>Commandes</h3>
            <hr>
            <div class="col-md-6">
                {{ form.quantite_produit_max_utilisateur.label_tag }}
                <div class="input-group mb-3">
                    {{ form.quantite_produit_max_utilisateur }}
                    <span class="input-group-text">unités</span>
                </div>
            </div>
        </div>

        <div class="row mt-3">
            <h3><i class="fas fa-archive me-3"></i>Archivage</h3>
            <p class="fst-italic">La modification des délais d'archivage n'a pas d'effet sur les éléments déjà archivés. De plus, elle ne sera effective qu'au prochain archivage automatique (chaque nuit).</p>
            <hr>
            <div class="col-md-6">
                {{ form.delai_archivage_distributions.label_tag }}
                <div class="input-group mb-3">
                    {{ form.delai_archivage_distributions }}
                    <span class="input-group-text">jours après la distribution</span>
                </div>
            </div>
            <div class="col-md-6">
                {{ form.delai_archivage_contrats.label_tag }}
                
                <div class="input-group mb-3">
                    {{ form.delai_archivage_contrats }}
                    <span class="input-group-text">jours après la date de la dernière distribution</span>
                </div>
            </div>
        </div>

        
    </form>
    </div>
{% endblock %}
